Subject: Re: [nfsv4] New Version Notification for draft-myklebust-nfsv42-unstable-file-creation-00

From: Trond Myklebust <[email-masked]>
Date: Sun, 17 Oct 2010 17:12:13 -0400

Hi,

I'd like to request 5-10 minutes at the Beijing meeting in order to
discuss the following proposal.

Cheers
  Trond

> A new version of I-D,
> draft-myklebust-nfsv42-unstable-file-creation-00.txt has been
> successfully submitted by Trond Myklebust and posted to the IETF
> repository.
> 
> Filename:        draft-myklebust-nfsv42-unstable-file-creation
> Revision:        00
> Title:           NFS Version 4 Minor Version 2 unstable file creation
> and attribute update improvements
> Creation_date:   2010-10-17
> WG ID:           Independent Submission
> Number_of_pages: 14
> 
> http://www.ietf.org/id/draft-myklebust-nfsv42-unstable-file-creation-00.txt
>
> Abstract:
> This document describes an extension to the NFSv4 protocol to allow
> clients to create and write files with greater efficiency.
> 
> The first proposal allows the server to defer creating the file on
> stable storage when replying to an OPEN call.  The aim is to improve
> server efficiency and scalability by reducing the number of required
> disk accesses when writing a file from scratch.
> 
> The second proposal allows the server to share information about the
> implementation of its change attribute with the client.  The aim is
> to improve the client's ability to determine the order in which
> parallel updates to the same file were processed.Keywords
> 
> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
> document are to be interpreted as described in [RFC2119].